package com.skr.mdm.api.app.service;

import com.skr.mdm.bean.qo.app.AppTypeQO;
import com.skr.mdm.bean.vo.appstore.AppTypeVO;
import com.skr.mdm.dto.LoginAdminDTO;
import com.skr.mdm.result.ResponseResult;

import java.util.List;

/**
 * @author nfq
 * @date 2022-11-21 14:12
 */
public interface AppTypeService {

    ResponseResult listPage(Integer pageNum, Integer pageSize, LoginAdminDTO loginAdminDTO);

    List<AppTypeVO> listAll(LoginAdminDTO loginAdminDTO);

    ResponseResult add(AppTypeQO appTypeQO, LoginAdminDTO loginAdminDTO);

    ResponseResult update(AppTypeQO appTypeQO, LoginAdminDTO loginAdminDTO);

    ResponseResult delete(List<Integer> appTypeIdList, LoginAdminDTO loginAdminDTO);
}
